/*
  SPDX-FileCopyrightText: 2025 Laurent Montel <montel@kde.org>

  SPDX-License-Identifier: GPL-2.0-or-later
*/
#pragma once
#include "textautogenerateollama_export.h"
#include <KPageDialog>
class OllamaConfigureWidget;
class OllamaManager;
class OllamaModelAvailableWidget;
class OllamaModelInstalledWidget;
class TEXTAUTOGENERATEOLLAMA_EXPORT OllamaConfigureDialog : public KPageDialog
{
    Q_OBJECT
public:
    explicit OllamaConfigureDialog(OllamaManager *manager, QWidget *parent = nullptr);
    ~OllamaConfigureDialog() override;

private:
    void slotAccepted();
    void readConfig();
    void writeConfig();
    OllamaConfigureWidget *const mOllamaConfigureWidget;
    OllamaModelAvailableWidget *const mOllamaModelWidget;
    OllamaModelInstalledWidget *const mOllamaModelInstalledWidget;
};
